# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:       pympdtouchgui
Version:    0.327
Release:    alt1_7
Summary:    Client for the MPD Music Player Daemon that is usable via touchscreen    

Group:      Sound
License:    GPLv2
URL:        http://www.spida.net/projects/pympdtouchgui/
Source0:    http://www.spida.net/projects/software/pympdtouchgui/pympdtouchgui-0.327.tgz
Source1:    %{name}.png
Patch0:     pympdtouchgui-config.patch
BuildArch:  noarch

BuildRequires: python-devel
BuildRequires: desktop-file-utils
Source44: import.info

%description
%{name} is a client for MPD that is usable via touchscreen and 
will run on embedded-systems without X (but works with X and a mouse,
too).

%prep
%setup -q
%patch0 

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

desktop-file-install --vendor="" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop

install -p -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

# this file is never going to be executed directly
%{__sed} -i "s|#!/usr/bin/env python||" $RPM_BUILD_ROOT/%{python_sitelibdir_noarch}/libpympdtouchgui/mpdclienttwisted.py


%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_var}/lib/%{name}
%{python_sitelibdir_noarch}/*
%doc %{_docdir}/*


%changelog
* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.327-alt1_7
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.327-alt1_6
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.327-alt1_5
- update to new release by fcimport

* Thu Jan 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.327-alt1_4
- initial fc import

